Page MenuHomePhabricator

Searching for tasks with a user CCed will not provide any results for Bugzilla migrated tasks
Closed, ResolvedPublic

Description

Users CCed in Bugzilla are being migrated in Phabricator tasks, but searching for tasks where user X is CCed will not provide any result.

Old description, now invalid:

Qgil is CCed in hundreds of tasks in Bugzilla, but apparently he isn't CCed in any bugzillapreview task. Since we are using only a sample it could be a mathematical coincidence, but let's create this task just in case.

Event Timeline

Qgil created this task.Oct 19 2014, 12:07 AM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Bugzilla-Preview.
Qgil changed Security from none to None.
Qgil added a subscriber: Qgil.
Qgil added a comment.Oct 19 2014, 1:02 AM

If this task is simple, then we can add it as blocker of the announcement of the preview (T552). If it is not, then I would be fine announcing the preview with this task open as a known issue.

Byfserag triaged this task as Normal priority.Oct 19 2014, 7:00 AM
Byfserag added a subscriber: Byfserag.

Cannot confirm - I am CCed on https://bugzilla.wikimedia.org/show_bug.cgi?id=44390 and T4076 in the preview instance correctly lists me as a Subscriber.

However I also get zero results in Maniphest's advanced search for "In All Projects: Wikimedia-Bugzilla" && "Subscribers: AndreTesting".

-> Search broken, see also T688.

mmodell claimed this task.Oct 20 2014, 7:15 PM

For the sake of transparency, this likely is related to the add_task_cc() implementation in phabricator-tools/blob/master/wmfphablib/phabdb.py

Qgil renamed this task from Users CCed in Bugzilla are not being added as subscribers in bugzillapreview to Searching for tasks with a user CCed will not provide any results for Bugzilla migrated tasks.Oct 22 2014, 2:42 PM
Qgil updated the task description. (Show Details)
chasemp closed this task as Resolved.Oct 24 2014, 5:33 PM
chasemp added a subscriber: chasemp.

should be fixed now

Qgil added a comment.Oct 24 2014, 6:36 PM

It works! Thank you very very much.